EnderDashEnderDash

Get Organization Overview

Get Organization Overview. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

GET
/organizations.getOrganizationOverview

Get Organization Overview. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Query Parameters

Response Body

application/json

application/json

curl -X GET "https://example.com/organizations.getOrganizationOverview?input=%7B%22organizationId%22%3A%22string%22%2C%22organizationSlug%22%3A%22string%22%7D"
{  "result": {    "data": {      "players": {        "now": 0,        "peak": 0,        "maxPlayers": 0,        "windowStart": "2019-08-24T14:15:22Z",        "windowEnd": "2019-08-24T14:15:22Z",        "series": [          {            "t": "string",            "players": 0          }        ],        "servers": [          {            "serverId": "string",            "online": 0,            "maxPlayers": 0,            "countsTowardNetwork": true,            "points": [              0            ]          }        ]      },      "uptime": {        "uptimeFraction": 0,        "servers": [          {            "serverId": "string",            "uptimeFraction": 0,            "restarts": 0          }        ]      }    }  }}